package com.crm.rely.backend.core.dto.follow.score;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.List;

/**
 * @ClassName FollowDealScorePeriodSerialDto
 * @Description
 * @Author y
 * @Date 2024/1/31 13:40
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class FollowDealScorePeriodTypesDto {

    private Integer type;

    private String typeName;

    private List<FollowDealScorePeriodSerialDto> periods;

    public static FollowDealScorePeriodTypesDto getInstance() {
        FollowDealScorePeriodTypesDto dto = new FollowDealScorePeriodTypesDto();
        dto.setPeriods(new ArrayList<>());
        return dto;
    }

}
